Unavailable pre-processor macro in non-Qt environments
authorcommit-queue@webkit.org <commit-queue@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Thu, 29 Mar 2012 14:31:54 +0000 (14:31 +0000)
committercommit-queue@webkit.org <commit-queue@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Thu, 29 Mar 2012 14:31:54 +0000 (14:31 +0000)
commit4e0bd60b59887f1b917c808dfbe67c745a13d252
tree91ba81b17ad093a05e4644f1ef51b93f41565f20
parent96473f27a80dc98a9a9ed090c07ed7a1b9b0e282
Unavailable pre-processor macro in non-Qt environments
https://bugs.webkit.org/show_bug.cgi?id=82042

Patch by Víctor Manuel Jáquez Leal <vjaquez@igalia.com> on 2012-03-29
Reviewed by Simon Hausmann.

This patch removes the use of the macro QT_VERSION_CHECK() because, in
non-Qt environments, the pre-processors raises an error. Instead of
calling the macro to generate the version number, the version is
expressed directly.

* platform/graphics/texmap/TextureMapperGL.cpp:
(SharedGLData): remove pre-processor macro for Qt version check.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@112530 268f45cc-cd09-0410-ab3c-d52691b4dbfc
Source/WebCore/ChangeLog
Source/WebCore/platform/graphics/texmap/TextureMapperGL.cpp